QGIS Application - Bug report #21301
Buffer layer styling with geometry generator
2019-02-18 12:13 PM - Maxime RIOU

Status: Open

Priority: Normal

Assignee:

Category: Map Tools

Affected QGIS version:3.6.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 29119
Description

When styling a vector file using geometry generator and buffer ( buffer( $geometry, 15) for example) , the size of the icon in the layers
panel becomes very large compared with other layers' icons.
Nota: this issue does not occur for legend in composer.

History

#1 - 2019-02-18 02:07 PM - Giovanni Manghi
- Status changed from Open to Feedback

This is about how the legend looks, correct?
Please also update to 3.4.4 (but | don't think it will make any difference, anyway 3.4.2 is dead).

#2 - 2019-02-18 02:28 PM - Maxime RIOU

No, the legend looks OK. The error occurs in the layers panel.
| wait for version 3.6 release at the end of the week and | will check if this is still happening.

#3 - 2019-02-18 02:29 PM - Giovanni Manghi

Maxime RIOU wrote:

No, the legend looks OK. The error occurs in the layers panel.

yes, the legend in the layers panel.

#4 - 2019-03-06 09:36 AM - Maxime RIOU
| tested with QGIS 3.6, the legend in the layers panel is still wrong.

Remark: this is happening when the vector style is with "rule-based".
If it is "single symbol", there is no symbol displayed in the layers panel.

#5 - 2019-03-06 10:43 AM - Giovanni Manghi
- Affected QGIS version changed from 3.4.2 to 3.6.0
- Status changed from Feedback to Open
